Was this page helpful?
Your feedback about this content is important. Let us know what you think.
Additional feedback?
1500 characters remaining
Export (0) Print
Expand All
Expand Minimize

FpcCompatibilityVersion enumeration

Applies to: desktop apps only

The FpcCompatibilityVersion enumerated type contains values that specify a version of Forefront TMG.

The version of Forefront TMG specified can indicate one of the following:

  • The minimum version of an object or of Forefront TMG Management that may access the configuration settings of the enterprise or an array.
  • The version of Forefront TMG currently installed on the Configuration Storage servers in the enterprise (applicable only to Forefront TMG Enterprise Edition).
  • The lowest compatibility version of an array in the enterprise (applicable only to Forefront TMG Enterprise Edition).

Syntax


typedef enum FpcCompatibilityVersion { 
  fpcISA2006                     = 1,
  fpcISA2008                     = 2,
  fpcISA2010SP1                  = 3,
  fpcCompatVersionNotApplicable  = 4
} FpcCompatibilityVersion;

Constants

fpcISA2006

The applicable version is ISA Server 2006.

fpcISA2008

The applicable version is Forefront TMG.

fpcISA2010SP1

The applicable version is Forefront TMG 2010 with SP 1.

fpcCompatVersionNotApplicable

The version is not applicable.

Requirements

Minimum supported client

Windows Vista

Minimum supported server

Windows Server 2008 R2, Windows Server 2008 with SP2 (64-bit only)

Version

Forefront Threat Management Gateway (TMG) 2010

Header

Comenum.h

See also

Enumerated Types

 

 

Build date: 7/12/2010

Community Additions

ADD
Show:
© 2015 Microsoft